"""
This sub-package contains the barycentric transformation operators
and their supporting modules.

+--------------------------+---------------------------------------------------------------------+
| Module / Sub-Package     | Description                                                         |
+==========================+=====================================================================+
| ``conversion``           | Functions to convert one transformation operator format to another  |
+--------------------------+---------------------------------------------------------------------+
| :py:mod:`.operators`     | Concrete implementation of transformation operator classes          |
+--------------------------+---------------------------------------------------------------------+
| ``precomp``              | Low-level functions required for precomputing the barycentric trees |
+--------------------------+---------------------------------------------------------------------+
| ``transformation_fcts``  | Low-level functions to perform the barycentric transformations      |
+--------------------------+---------------------------------------------------------------------+

.. note::

   The documentation of some of the listed modules above is not yet
   publicly available.

.. todo::

   refactor the utility and low-level modules.
"""
